Keysight DDR4 Compliance Test Application Online Help

Software Version 01.16.0000

© Keysight Technologies 2008-2015

Warranty

Technology License

Restricted Rights Legend

Safety Notices

Trademarks

October, 2015

Table of Contents

DDR4 Automated Testing—At a Glance

Starting the DDR4 Compliance Test Application

To view/minimize the task flow pane

To view/hide the toolbar

Creating or Opening a Test Project

To set load preferences

Setting Up InfiniiSim

Setting Up Precision Probe/Cable

Setting Up the Test Environment

Set Mask File

Derate Table File

Threshold Settings

Offline Setup

DDR Debug Tool

Selecting Tests

Configuring Tests

Compliance Limits

To Activate/Refresh Limit Set

To Create/Edit Limit Set

Connecting the Oscilloscope to the DUT

Running Tests

To select the "store mode"

To run multiple times

To send email on pauses or stops

To pause or stop on events

To specify the event

To set the display preferences

To set the run preferences

Automating the Application

To enter commands in Script mode

To enter commands in Files mode

To begin Script or Files execution

To display automation settings status

To try a command line

Viewing Results

To delete trials from the results

To show reference images and flash mask hits

To change margin thresholds

To change the test display order

To set trial display preferences

Viewing/Exporting/Printing the Report

To export the report

To print the report

To set HTML Report preferences

Understanding the Report

Saving Test Projects

To set AutoRecovery preferences

User Defined Add-In

To install an add-in

To remove an add-in

Controlling the Application via a Remote PC

To check for the App Remote license

To identify the remote interface version

To enable the remote interface

To enable remote interface hints

Using a Second Monitor

N6462A/N6462B DDR4 Compliance Test Application

Online Help


DDR4 Automated Testing—At a Glance

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

DDR4 Automated Testing—At a Glance

The Keysight N6462A/N6462B Compliance Test Application for DDR4 provides a framework for using Keysight Infiniium oscilloscopes to perform compliance testing. The compliance test application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

The DDR4 compliance test application requires:

· N6462A/N6462B DDR4 Compliance Test Application software.

· Infiniium 90000 X-Series Digital Storage Oscilloscope.

· The E2688A Serial Data Analysis and Clock Recovery software (for clock recovery).

· Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

· Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

· Precision 3.5 mm BNC to SMA male adapter, Keysight p/n 54855-67604, qty = 2 (provided with the Keysight 54855A and 80000B series oscilloscopes).

· 50-ohm Coax Cable with SMA Male Connectors – 24-inch or less RG-316/U or similar, qty = 2, matched length.

· Keysight also recommends using a second monitor to view the compliance test application.

· Probes and/or test fixtures.

To use the compliance test application, see:

  • Starting the DDR4 Compliance Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

  • Setting Up InfiniiSim

  • Setting Up Precision Probe/Cable

  • Setting Up the Test Environment

    • Set Mask File

    • Derate Table File

    • Threshold Settings

    • Offline Setup

    • DDR Debug Tool

  • Selecting Tests

  • Configuring Tests

    • Compliance Limits

  • To Activate/Refresh Limit Set

  • To Create/Edit Limit Set

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set trial display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

    • To print the report

    • To set HTML Report preferences

  • Understanding the Report

  • Saving Test Projects

    • To set AutoRecovery preferences

  • User Defined Add-In

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

  • Using a Second Monitor

See Also

· [image] Keysight N6462A/N6462B DDR4 Compliance Test Application Methods of Implementation


Starting the DDR4 Compliance Test Application

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Starting the DDR4 Compliance Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze > Automated Test Apps > N6462A/N6462B DDR4 Test App.

  2. The DDR4 compliance test application window appears.

The task flow pane and the tabs in the main pane, show the steps you take when running the automated tests:

Tab Name | Description
Set Up | Lets you identify the test environment, including information about the device being tested and the connection type.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters.
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Automation | The Automation tab lets you construct command scripts that drive execution of the application.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the DDR4 Compliance Test Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the main menu.

  • To minimize the Task Flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the DDR4 Compliance Test Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.


Creating or Opening a Test Project

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File > New Project... from the menu.

    A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File > Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up InfiniiSim


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the DDR4 Compliance Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To set up InfiniiSim

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Setting Up InfiniiSim

Note

You may access the InfiniiSim setup on the DDR4 Compliance Test Application only if the license is available on the Keysight Infiniium Oscilloscope .

  1. From the DDR4 Compliance Test Application's main menu, click Tools>Infiniium>InfiniiSim....

  2. In the Configure InfiniiSim dialog box, select either the 2 Port or 4 Port setting for the respective scope channel.

2 Port setting

When you select the 2 Port radio button, the Configure InfiniiSim dialog box displays the following parameters:

4 Port setting

You may either select 4 Port (Channels 1 & 3) or 4 Port (Channel 1). The Configure InfiniiSim dialog box displays the following parameters:

Note

Most of the parameters for the 4 Port InfiniiSim set up are the same. However, the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Also, notice that the Port Extraction area is enabled only for the 4 Port (Channel 1) set up.

· For 4 Port (Channels 1 & 3)—

· For 4 Port (Channel 1)—

You may configure the following parameters irrespective of whether you select 2 Port, 4 Port (Channels 1 & 3) or 4 Port (Channel 1).

Create Transfer Function From Model...—Click the [image] button to access the Create Transfer Function dialog box.

Click Start and follow the instructions as listed in step 2. Once you have completed all steps, click Finish on the same dialog box.

Apply Transfer Function—In this area, either manually type the file path and name in the Transfer Function File field or click the [image] button to select the transfer function file from the local disk. Notice that the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Select an option from the drop-down if you wish to include or remove delay. By default, RemoveFilterDelay is selected.

By default, the Bandwidth Limit field is grayed out and the value is set to 6000.000 MHz. You may select the check-box to enable this field and change the value. You may also change the values for Response Correction. In the Filter Size area, you may change the values for Max Time Span and Min Frequency Resolution.

Once you have finished configuring InfiniiSim for the required scope channels, click OK to return to the DDR4 Compliance Test Application window.

Next

  • Setting up Precision Probe or Cable


To set up PrecisionProbe/PrecisionCable

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Setting Up the Precision Probe/Cable

Note

You may access the precision probe/cable setup feature on the DDR4 Compliance Test Application only if the license is available on the Keysight Infiniium Oscilloscope.

  1. From the DDR4 Compliance Test Application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.

    Next

    · Setting Up the Test Environment


Setting Up the Test Environment

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Setting Up the Test Environment

Click the Set Up tab, or click the Set Up box in the Task Flow pane.

The Set Up tab is used to:

· Select the device's SDRAM Type as DDR4 or LPDDR4.

· Select the Device Under Test being tested.

· Select the pre defined Speed Grade or Custom Data Rate, in accordance with the Test Mode.

· Provide additional Test Report comments and information.

Device Under Test (DUT)

Test Mode

In the Test Mode area, select one of the following options:

· Compliance - Enables data rate options that you may choose for the DUT signal based on test specification standards. By default, this option is selected.

· Custom - Enables the option for you to enter a custom value for the data rate of the DUT signal, which may or may not be in accordance with the test specification standards.

Note

When you change the Test Mode option, the application displays the following prompt:

Click Yes if you wish to delete the existing results and proceed with the mode change. Click NO if you wish to save the project and the existing test results.

For more information on the options available under the Test Mode section, see:

· Set Mask File

· Derate Table File

· Threshold Settings

· Offline Setup

· DDR Debug Tool

Compliance Test Mode

When you select the Test Mode as Compliance, the application displays data rate standards.

In the Speed Grade section, select one of the options to acquire a specific data rate on the DUT signal. The number in the end of each option indicates the data rate in units of Mega Transfers per second (MT/s). For example:

· DDR4-1600 — Select this option to acquire a data rate of 1600 Mega Transfers per second (MT/s) on the DUT signal. By default, this option is selected.

Select LPDDR4 if the DUT signal is a low power signal.
Notice that once you check the LPDDR4 option in the SDRAM Type section, a new set of LP Speed Grade is displayed with an extended list of data rates.

Custom Test Mode

When you select the Test Mode as Custom, the Custom Data Rate section appears. In the Custom Data Rate section, the data rate that you had selected in the Compliance Mode shows in a drop-down field. The unit for the data rate is Mega Transfers per second (MT/s).

You can type/key in a data rate value of your choice or click the drop-down arrow and select a data rate value from the available options.

Once you modify the data rate value, the Change Setting button is enabled. Click the [image] button for the modified data rate to take effect.

For low power signals, type/key in a data rate value of your choice and check the LPDDR4 option in the SDRAM Type section.

Burst Triggering Method

The Burst Triggering Method is a method for the DDR application to find the read or write burst (burst separation).

When you select the SDRAM Type as DDR4, two triggering methods appear in the drop down list:

· DQS_DQ Phase Difference

· MSOx Logic Trigering

When you select the SDRAM Type as LPDDR4, three triggering methods appear in the drop down list:

· DQS_DQ Phase Difference

· Pre-Amble Pattern

· Rd or Wrt ONLY

AC Levels

The AC Levels for DQ and CA are used to find the valid burst and perform the measurements in the respective bursts.

Note

The selected AC levels for DQ and CA will influence the respective test configurations.

· When you select the SDRAM Type as DDR4, you can select the DQ and CA values (either 100 or 120) as per your test requirements.

· When you select the SDRAM Type as LPDDR4, by default the DQ and CA values are set as 110.

Note

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade or Custom Data Rate and Test Mode options change. This is because some tests are only applicable under certain conditions of speed grades/data rates and test mode.

Test Report Comments (Optional)

Device Identifier and User Description

This section allows you to define an identifier for the DUT and add an associated description and comments. Defining these characteristics is optional. However, it is helpful when running tests on multiple DUTs where you may identify and relate the test results by looking up for the Device Identifier name in the generated HTML test reports.

  1. In the Device Identifier: field, type an alphanumeric text to define the DUT. This is a unique name for a certain model of the DUT on which you are running compliance tests.

  • If you are running tests on more than one DUT, you can assign a unique identifier to each one of them.

  2. In the User Description: field, type an alphanumeric text to briefly describe about the DUT in association with the device identifier.

  • You may assign a unique description to each of the device identifiers.

  • The DDR4 Compliance Test Application saves each entry made in these fields such that they appear as a drop-down option for you to select from.

Comments

You may add your own comments in the text box such that these comments appear in the HTML Test Report generated at the end of test runs.

Next

· Selecting Tests


To set the mask file for custom data rates

Setting Up the Test Environment

Set Mask File

Note

The Set Mask File option appears only when the Custom Test Mode is selected.

To view or select the test mask files for Eye diagram tests,

· Click the [image] button in the Test Mode area.

The Mask File Selection For Real-Time Eye Diagram Tests window appears.

· Click the [image] button to browse for the *.msk file from the local disk.

· Perform this action for both the Mask File Used For READ Cycle Eye Diagram and the Mask File Used For WRITE Cycle Eye Diagram fields.

· Click OK to return to the Set Up tab.


To set the derate table file for custom data rates

Setting Up the Test Environment

Derate Table File

Note

The Derate Table File option appears only when the Custom Test Mode is selected.

To view or select the Derating table file used for all tests that support derating:

· Click the [image] button in the Test Mode area.

The Derating Table File Selection window appears.

· Click the [image] button to browse for the *.dat file from the local disk.

· Click OK to return to the Set Up tab.


To set thresholds

Setting Up the Test Environment

Threshold Settings

To select or change the Signal Measurement Threshold Settings or Burst Trigger Threshold Settings:

· Click the [image] button in the Test Mode area.

The User Configuration Setup Wizard window appears.

· Select either Signal Measurement Threshold Settings or Burst Trigger Threshold Settings and click the [image] button to continue. Click [image] if you wish to skip to the last section of the wizard. Click [image] if you wish to discard the changes and return to the Test Environment Setup at any point.

Signal Measurement Threshold Settings

To view or change the Signal Measurement settings:

· Select one of the parameters of the Signal Measurement Threshold Settings that you wish to change. You may click [image] from the first option to view the settings and if needed, modify the settings of each parameter in a sequential order; or select the radio button for any one option and click [image] or [image] to switch between screens.

· Each settings page lets you enter the appropriate threshold voltage values.

To navigate through the settings:

· Click [image] to go to the first page.

· Click [image] to go to the last page.

· Click [image] to go to the previous page.

· Click [image] to go to the next page.

· Click [image] to return to the Set Up tab.

Burst Trigger Threshold Settings

To view or change the Burst Trigger settings:

· Select one of the parameters of the Burst Trigger Threshold Settings that you wish to change. You may click [image] from the first option to view the settings and if needed, modify the settings of each parameter in a sequential order; or select the radio button for any one option and click [image] or [image] to switch between screens.

· You can choose either TopBaseRatio or Custom Threshold, and enter the appropriate threshold voltage values.

· On the last page of the User Configuration Setup Wizard, you can see the summary of the changes made.

· Click [image] to save the changes.


To set up for offline tests

Setting Up the Test Environment

Offline Setup

The Offline Setup allows you to use a saved waveform file to run the tests.

To run the tests in offline mode:

· Click the [image] button, the Offline Processing window appears.

· Check the Enable Offline Processing option to make the window active.

· Click the [image] button and search for the respective *.wfm/*.h5 file from the local disc.

· Once the signal status turns green, click Done to return to the Set Up tab.


To run the DDR Debug Tool

Setting Up the Test Environment

DDR Debug Tool

The DDR Debug Tool is a licensed tool accessible from the DDR4 Compliance Test Application, that enables you to perform pre- and post-compliance testing signal characterization.

It enables you to perform various functions like:

· Split and acquire the read/write burst data.

· Configure the desired test parameters.

· Run the tests.

· Navigate to the desired test result measurement using markers to debug the compliance issues.

Note

For more information, see the DDR Debug Tool online help.


Selecting Tests

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click Select Tests in the Task Flow pane.

  2. Check the tests you want to run.

    Note

    The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time the selection on the Set Up page changes.

    Some things to note:

    • Checking a parent node/group will check all available sub-groups or tests.

    • Unchecking a parent node/group will uncheck all sub-groups or tests.

    • A parent node is checked if all subgroups are checked.

    • A parent node is unchecked if ANY subgroup is unchecked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and de-selecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

Status Marks | Description
 | The test passed.
 | The test failed.
 | The test has not been run, or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have run and passed.
 | Some tests in the group have run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have run.
 | All tests in the group have run and passed.
 | All tests in the group have run and failed.

Next

· Configuring Tests


Configuring Tests

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Configuring Tests

  1. Click the Configure tab, or click Configure in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here. Select your preferred mode and the test list changes according to your selection.

    • Compliance Mode — lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode — lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

    Note

    You can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

    Tip

    · A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

    · A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

    · A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

· Compliance Limits

Next

· Connecting the Oscilloscope to the DUT


To create/edit limit sets

Configuring Tests

Compliance Limits

You may define compliance limits within the DDR4 Compliance Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


To combine limits

Compliance Limits

To Activate/Refresh Limit Set

  1. To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

  • Under the Configure tab, click the [image] button.

  • From the DDR4 Compliance Test Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

  • The Activate/Refresh Compliance Limit Set dialog displays.

  • By default, the Active Limit Set is [Official] DDR4-1600 Test Limit. You may change the limit set in the Select a limit set to activate/refresh: area.

  2. Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications.

  3. Click User-defined limit sets: to enable the [image] button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to edit a user-defined limit set.

  4. Click the [image] button. In the Open dialog, navigate to the folder where the user-defined limit set file (*.lim) is saved.

  5. Select the limit set file and click Open.

  • The User-defined limit sets: field displays the file path and file name of the selected limit-set file.

  6. In either case, click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To split a combined limit

Compliance Limits

To Create/Edit Limit Set

  1. To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

    • The Create/Edit User-Defined Limit Set dialog displays.

  2. Click the [image] button to load an existing official limit set or an existing user-defined limit set.

    • By default, the Active Limit Set: area displays [Official] DDR4-1600 Test Limit. Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section.

    • Click [image] if you wish you to view the default limit set configuration for various tests.

  3. To manually define a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim).

    • Alternatively, you may click the [image] button to select the (*.lim) file from the local disk.

  4. In the Open dialog box, select the limit set file (*.lim) and click the Open button.

    • The User-defined limit sets: field displays the entire file path and name.

    • Click the [image] button to view the attributes of the limit set file.

    • In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

  5. In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

  6. In the Select action to perform area, you can perform one of the following actions:

Edit Limit Sets

  1. Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

  2. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog.

  3. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Combine Limit Sets

  1. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

  2. In the Combine Multiple Test Limits Into One dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field.

  3. Type a summary name and description to identify the new combined test limit.

  4. Click the [image] button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Split Limit Sets

  1. Click the [image] button to access the Split One Test Limit Into Two dialog to split a combined test limit into single test limits.

Note

You can only split multi-test limits. If you attempt to split a single-test limit, the application prompts an error.

  2. Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

    • For proper identification of the separate limit sets, there are separate summary names and summary descriptions in the respective fields.

  3. Click the [image] button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Saving Limit Set

  1. On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

  2. Click [image] to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.

  3. Click [image] to save the new limit file on the local disk and return to the Create/Edit User-Defined Limit Set dialog.

  4. Click [image] on the Create/Edit User-Defined Limit Set dialog to return to the test environment.


Connecting the Oscilloscope to the DUT

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. View the Source Tests Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

  3. After making connections between the Oscilloscope and DUT based on the given instructions , check the I have completed these instructions box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and turns green.

Next

· Running Tests


Running Tests

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Running Tests

Note

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration ΔTemp is greater than ±5 °C. The Calibration ΔTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

The Run Tests tab's settings let you run the selected tests once or multiple times. When you run tests multiple times, there are options for selecting which trials are stored and how long tests are run.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

    • Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

    Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

    · Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

    · Under the Run Tests tab, click the Start button to run the selected tests.

    You may configure the settings under the Run Tests tab to run the tests either Once or N (multiple but limited) Times.

    For more information on additional run options, see:

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

    If you would like to keep the existing test results to compare against new results, select Append New Trials.

    Select Replace ALL Existing Trials if you would like to delete the existing test results.

  3. While the tests are running, status dialogs appear to inform you about the test progress.

  4. When the tests are complete, click OK.

See Also

· To set the display preferences

· To set the run preferences

Next

· Automating the Application


To select the "store mode"

Running Tests

To select the "store mode"

When running tests multiple times, you can select which trials are stored.

  1. Select the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

    By default, Worst is selected. Irrespective of the selection, the results of up to 64 trials are stored.

    • Best — stores the results of the best N trials.

    • Event — stores the results of N trials in which the event is detected. The event is determined in the Event area. See To specify the event.

    • Last — stores the results of the last N trials.

    • Worst — stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once or multiple times.

  1. Select the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests.

    By default, Once is selected.

    · N Times — runs the tests N times. When this option is selected, you can specify the number of runs and whether pauses occur between each run.

    · Once — runs the tests only once. This is the default setting.

    Note

    When you choose to run the tests N times, you may use the trial display options in the Report tab of the Preference dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You can configure the test application to send notification e-mails whenever a run pauses or ends.

  1. Select the Run Tests tab.

  2. In the Run Until area, check Send email.

  3. Click Configure.

  4. In the Configure Email dialog, enter your To and From email addresses and the hostname of the SMTP Server.

  5. Click OK.

Pauses can occur between runs when running a specific number of times (see To run multiple times) or when pausing on an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Select the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. In the drop-down selection field that appears, select either:

    • Pause — causes the run to pause when the event is detected.

    • Stop — cause the run to stop when the event is detected.

  4. In the Event area, specify the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the "store mode" on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. In the Event section, click the drop-down selection field and choose one of the following options:

    • Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

    • Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

    • Pass — Causes occurrence of an event when a selected test passes.

    The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the DDR4 Compliance Test Application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Display tab.

  3. In the Display tab, you can choose to show the following types of message dialogs:

    • Information dialogs

    • Warning dialogs

    • Error dialogs

    Note

    Dissplay messages where you must select either OK/Cancel or Yes/No, are always enabled .

  4. Also, you can choose to:

    • Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

    • Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

    • Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

    • Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To set the run preferences

Running Tests

To set the run preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the DDR4 Compliance Test Application's main menu, choose View > Preferences....

  2. In the Preferences dialog, select the Run tab.

  3. In the Run tab, specify Prompts settings:

    • Beep when user prompted — causes the oscilloscope to beep when there is prompt for user input.

    • Beep only during run — specifies that beeps only occur during runs.

  4. Specify Test Abort Action settings:

    • Continue the run — causes tests to continue running after a test aborts. When this option is selected, you can view problem descriptions after the run ends.

    • Stop the run — causes the run to stop after a test aborts, and the problem is reported immediately.

    Note that these settings do not affect the Stop button.

  5. In the Misc section, select/deselect the following options. By default, these options are enabled:

    • Display Results tab at the end of run — application automatically displays the Results tab either after the test runs are complete or after you manually abort the test runs.

    • Disable Infiniium user interface during run (improves performance) — disables the Infiniium oscilloscope's user interface prior to starting the test runs. The oscilloscope displays the following prompt so that you can manually enable the scope interface.

  6. Click Apply to save the changes and click OK to close the Preferences dialog.


Automating the Application

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Automating the Application

The Automation tab lets you construct command scripts that drive execution of the application.

You can select from two modes, Script and Files:

See Also

· To enter commands in Script mode

· To enter commands in Files mode

· To begin Script or Files execution

· To display automation settings status

· To try a command line

Next

· Viewing Results


To enter commands in Script mode

Automating the Application

To enter commands in Script mode

In Script mode, the application will execute the commands it finds in the script text box:

You may either type in commands (one per line) or use the Commands… generator to construct them. A script may be saved to a text file to make it easy to switch to the Files automation method.

The command generator is opened by clicking Commands…. It can generate single commands or sample scripts that demonstrate how commands work together.

In Single Command mode, select the tab that corresponds to the real application tab containing the controls you want to affect. Then, select which action you want to perform. The screen will then show you what automation command performs that action. Most commands are shown with placeholder parameters along with instructions on how to customize them:

In Entire Script mode, select a script that describes a task you would like to know more about:

Once you have found the command or script you want, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

In the Automation tab script, lines starting with the pound symbol (#) do not execute.

See Also

· To begin Script or Files execution


To enter commands in Files mode

Automating the Application

To enter commands in Files mode

In Files mode, the application will execute the commands it finds in the files shown in the list. The list is constructed and managed via the buttons on the left:

See Also

· To begin Script or Files execution


To begin Script or Files execution

Automating the Application

To begin Script or Files execution

Click Start to begin Script or Files execution:

Before the first test executes, you may abort by clicking the same button (now labeled Stop) again. Once the run begins, the main dialog goes away so you would use the Run Dialog's Stop button instead:


To display automation settings status

Automating the Application

To display automation settings status

Some commands will make visible changes to the application's tabs, such as selecting a test. Other commands only modify invisible settings, such as SuppressMessages. The Automation Settings status dialog displays the current value of the invisible properties:


To try a command line

Automating the Application

To try a command line

To experiment with a command, type it in the Try a command field and press <Enter> to execute it. If it has a visible effect, such as selecting a test, you may then go to another tab to see if it behaved as expected.


Viewing Results

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

  • The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

  • The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

  • The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 64 trials at one time.

  • If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

  • The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set the Trial Display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

  1. In the Results tab, choose one of these ways to delete a trial:

    • While a test result entry (at upper pane) or trial tab (at lower pane) has input focus, either click on the toolbar 'delete' button or press the delete key on the keyboard.

    • Another option is to right-click at a test result (at upper pane) and select a trial or test to delete.

    • Right-click inside the display area of trial summary tab (at the lower pane).

  2. Select the trial to delete.

  3. If other tests have results that were generated during the same trial run as the trial you are deleting, you will be asked if you wish to delete these tests at the same time.

    Note

    The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

  4. Once you have selected the trials to delete and clicked OK, you get a confirmation dialog.

  5. The remaining trials are renumbered downwards to fill in the hole left by the deleted trial.

  6. If you delete the last remaining trial of a test, the entire test results are removed.

Note

There are two situations in which you are not allowed to delete a trial:

  • Case 1: The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the DDR4 Compliance Test Application, the maximum number of trials displayed is 64. For example:

    1. Let's assume N is 64 (the maximum number of trials displayed).

    2. You have run more than N trials of a test.

    3. Now, you can delete up to N-1, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests; however, you can delete the entire test.

  • Case 2: The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the dialog with the reference image.

    In this dialog, you can:

    • Click the [image] flash red pixels button to highlight the points of failure.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the DDR4 Compliance Test Application's main menu, choose View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Report tab.

  3. In the Margin Reporting area, you can:

    • Enable or disable margin highlighting.

    • You can change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and OK to close the Preference dialog box .


To change the test display order

Viewing Results

To change the test display order

  1. From the DDR4 Compliance Test Application's main menu, choose View > Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Report tab.

  3. In the Test Display area, you can:

    • Order tests chronologically or use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog.

    Note

    These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

Viewing Results

To set trial display preferences

  1. From the DDR4 Compliance Test Application's main menu, choose View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Report tab.

  3. In the Trial Display area, you can:

    • Select the maximum number of trials, up to 64, whose details are displayed at one time.

    • Order trial details chronologically or by "worst" trial first.

    • Specify whether screens captured during the run are displayed in the Results tab.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report Preferences

Next

· Understanding the Report


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the DDR4 Compliance Test Application's main menu, choose File > Export Results.

    To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated values) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

  • Single-File — To save a single-file report, select "Web Archive, single file (.mht)" for the "Save As" type.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

  • Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

  • To preview the HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  • To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report Preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the DDR4 Compliance Test Application's menu, click View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preference dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Understanding the Report

The information in this topic will help you understand the different sections of the DDR4 HTML Report.

The top section of the DDR4 Test Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

The next section of the report shows the statistics for each of the selected measurements.

Next

· Saving Test Projects


Saving Test Projects

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Saving Test Projects

To save test settings and results to the current project directory:

· Choose File > Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File > Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name. Click the [image] button to specify and save the Project files in a different location.

  3. Click OK.

Next

· User Defined Add-In


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the DDR4 Compliance Test Application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the AutoRecovery area, you can choose:

    • To auto-save results after each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery.

    • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


User Defined Add-In

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

· To Install an Add-In

· To Remove an Add-In

Next

· Controlling the Application via a Remote PC


To Install an add-in

User-Defined Add-Ins

To install an add-in

From the DDR4 Compliance Test Application's main menu, click File>User Defined:

The application prompts for the location of the add-in's installer (created by the N5467A UDA tool):

After you click the Open button, a dialog box appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

When you click OK after saving any existing test results, the add-in is installed. Once the installation is complete, the following prompt appears:

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

Add-in tests are displayed in their own test group on the Select Tests tab:


To remove an add-in

User-Defined Add-Ins

To remove an add-in

From the DDR4 Compliance Test Application's main menu, click File>User Defined:

The application displays the following prompt before you uninstall the add-in:

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

When you click OK after saving any existing test results, the DDR4 Compliance Test Application closes and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the DDR4 Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close applications.

· Configure options.

· Run tests.

· Obtain results.

· Control when and where dialogs are displayed.

· Save and load projects.

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium oscilloscope's main menu, choose Help > About Infiniium.

  2. In the license list, check for the App Remote license as shown below.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the DDR4 Compliance Test Application's main menu, choose Help > About....

  2. In the About dialog, the remote interface version is listed above other version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the DDR4 Compliance Test Application's main menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Check the Enable remote interface option if you need to access the application remotely.

    If you are performing the tests with the application's user interface and want to ensure no remote users accidentally interfere with you, disable the remote interface by un-checking this option.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the DDR Compliance Test Application's main menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options area, check Show remote interface hints.

    When this option is checked:

    • You can select the remote programming language described in the tips.

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint…".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Using a Second Monitor

A second monitor can be used to display the compliance test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA.

Note

The VGA output is only used to display the screen of the oscilloscope on the external monitor.

Before starting the compliance test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display drop-down. The recommended screen resolution changes accordingly.

    If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution and select an option.

  6. In the Multiple displays drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

    To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.


To activate/refresh limit sets

Configuring Tests

Compliance Limits

You may define compliance limits within the DDR4 Compliance Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


Restricted Rights Legend

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

Keysight N6462A/N6462B DDR4 Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.